Get Incidents
Returns the ordered list of in-match events with player IDs/names and the running score after each event.GET /api/v1/match/{matchId}/incidents
curl -H "x-api-key: YOUR_API_KEY" \
"https://api.sportsapipro.com/v6/football/match/ezk96i3gzz5a1kn/incidents"
curl -H "x-api-key: YOUR_API_KEY" \
"https://api.sportsapipro.com/v6/football/match/ezk96i3gzz5a1kn/incidents"
Response
{
"success": true,
"items": [
{
"id": 80453788, "type": 3, "time": "17", "belong": 1,
"player": { "id": "69759i56rzmtok2", "name": "Mohannad Abu Taha" },
"homeScore": 1, "awayScore": 0
},
{
"id": 80453790, "type": 1, "time": "19", "belong": 2,
"player": { "id": "...", "name": "Giovani Lo Celso" },
"homeScore": 1, "awayScore": 0
}
]
}
| Field | Type | Description |
|---|---|---|
type | number | Incident type — see below |
time | string | Minute (e.g. "17", "90+4") |
belong | number | 1 home · 2 away · 0 neutral |
player | object | null | { id, name, logo } |
homeScore / awayScore | number | Running score after this incident |
Incident Type Reference
| Type | Meaning |
|---|---|
| 1 | Yellow Card |
| 2 | Red Card / Second Yellow |
| 3 | Goal |
| 4 | Substitution |
| 5 | Penalty (scored) |
| 6 | Missed Penalty |
| 8 | Own Goal |
| 9 | Other event |
| 10 | Period start / end |
| 11 | Penalty shootout |
| 12 | Match end |
| 28 | VAR Decision |
| 99 | Final whistle |